//+------------------------------------------------------------------+
//|                                                   TimeTrader.mq4 |
//|                                                         blueruby |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "blueruby"
#property link      ""

//---- input parameters
extern datetime     TradeTime=D'2007.02.06 08:30:00';
extern double       StopLoss=25;
extern double       TakeProfit=20;
extern double       Lots=1;
extern string       BUY_or_SELL = "BUY";
double              OrderTime = 0;
int                 Placed = 0;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----

Print ("Order time = ",TradeTime," TimeLocal =",TimeLocal());
      
   if ((TradeTime <= TimeLocal()) && (Placed != 1))
         {
         if (BUY_or_SELL == "BUY")
            {
            OrderSend(Symbol(),OP_BUY,Lots,Ask,3,Ask-(StopLoss*Point),Ask+(TakeProfit*Point),"TimeTrader",12345,0,Green);
            Placed = 1;
            }
         if (BUY_or_SELL == "SELL")
            {
            OrderSend(Symbol(),OP_SELL,Lots,Bid,3,Bid+(StopLoss*Point),Bid-(TakeProfit*Point),"TimeTrader",12345,0,Red);
            Placed = 1;
            }
         }
     
//---- 

   return (0);
  }
  
 
//+------------------------------------------------------------------+